Page MenuHomePhabricator

Track jqueryMsg parse failures in UploadWizard
Closed, ResolvedPublic

Description

We should track jqueryMsg parse failures in UploadWizard. They can happen due to botched translations or broken local overrides (T134049), and they potentially horribly mess up the interface.

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptApr 30 2016, 12:27 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptApr 30 2016, 12:27 PM
matmarex triaged this task as Normal priority.May 12 2016, 7:43 PM

Change 288459 had a related patch set uploaded (by Bartosz Dziewoński):
mediawiki.jqueryMsg: Allow logging errors through mw.track

https://gerrit.wikimedia.org/r/288459

Change 288460 had a related patch set uploaded (by Bartosz Dziewoński):
Log errors from mediawiki.jqueryMsg

https://gerrit.wikimedia.org/r/288460

Change 288460 merged by jenkins-bot:
Log errors from mediawiki.jqueryMsg

https://gerrit.wikimedia.org/r/288460

Change 288459 merged by jenkins-bot:
mediawiki.jqueryMsg: Allow logging errors through mw.track

https://gerrit.wikimedia.org/r/288459

matmarex closed this task as Resolved.May 16 2016, 8:32 PM
matmarex removed a project: Patch-For-Review.